#ifndef PKI_EXTS_H_INCLUDED
#define PKI_EXTS_H_INCLUDED

#include <vector>

#include "pki/iexts.h"
#include "../common/common.h"
#include "../stdafx.h"

#include "pki.h"
#include "ext.h"

class ExtensionCollection : public IExtensionCollection {
public:
	ExtensionCollection();
	~ExtensionCollection();

	//methods
	void push(Handle<IExtension> cert);
	void pop();
	void removeAt(int index);
	int length();
	Handle<IExtension> items(int index);

protected:
	std::vector<Handle<IExtension>> vectExtensions;
};

#endif //!PKI_EXTS_H_INCLUDED
